postcss-extend-rule

v4.0.0

Use the @extend at-rule and functional selectors in CSS For more information about how to use this package see README

Latest version published 8 months ago
License: CC0-1.0

Ensure you're using the healthiest npm packages

Snyk scans all the packages in your projects for vulnerabilities and provides automated fix advice

Package Health Score

67 / 100

Security

No known security issues
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
4.0.0 | 02/2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
3.0.0 | 07/2019
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
2.0.0 | 05/2018
Popular
  • 0
    H
  • 0
    M
  • 0
    L
1.1.0 | 09/2017
  • 0
    H
  • 0
    M
  • 0
    L
License
CC0-1.0
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

Get started free

Popularity

Recognized

Weekly Downloads (83,163)

Download trend
Dependents
80
GitHub Stars
36
Forks
4
Contributors
4

Direct Usage Popularity

TOP 30%

The npm package postcss-extend-rule receives a total of 83,163 downloads a week. As such, we scored postcss-extend-rule popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package postcss-extend-rule, we found that it has been starred 36 times, and that 80 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Sustainable
Readme.md
Yes
Contributing.md
Yes
Code of Conduct
Yes
Contributors
4
Funding
No

This project has seen only 10 or less contributors.


Embed Package Health Score Badge

package health: 67/100 package health 67/100

Maintenance

Sustainable

Commit Frequency

Open Issues
10
Open PR
0
Last Release
8 months ago
Last Commit
8 months ago

Further analysis of the maintenance status of postcss-extend-rule based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Sustainable.

We found that postcss-extend-rule demonstrates a positive version release cadence with at least one new version released in the past 12 months.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Package

Node.js Compatibility
^12 || ^14 || >=16

Age
5 years
Dependencies
1 Direct
Versions
5
Install Size
25.3 kB
Dist-tags
1
# of Files
6
Maintainers
2
TS Typings
No

postcss-extend-rule has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.